#ifndef BOOST_ARITY
#define BOOST_ARITY

namespace boost {
namespace detail {
namespace arity {

///	Converts a type into a storable type by removing const qualifiers and references.
template<typename T>
struct storable : public boost::remove_const<typename boost::remove_reference<T>::type > {};


} // namespace boost
} // namespace detail
} // namespace arity

#endif